from django.conf.urls.defaults import patterns, url
from django.contrib.auth import views as auth_views

from accounts.forms import BiglibPasswordChangeForm,\
    BiglibPasswordResetForm, BiglibSetPasswordForm
from accounts.views import change_email,changed_email_activate,\
    register_reader, edit_profile, welcome, logged, biglib_logout, activate


urlpatterns = patterns('',
    url(r'^$', welcome, name='welcome'),
    url(r'^cadastro/', register_reader, name='register'),                   
    url(r'^(?P<username>[\w.@+-]+)/editar$', edit_profile,{'template_name': 'accounts/edit_profile.html'}, name='edit_profile'),
    url(r'^logged/$', logged, name='logged'),
    url(r'^login/$', 'django.contrib.auth.views.login', {'template_name': 'accounts/login.html'}, name='login'),
    url(r'^logout/$', biglib_logout, name="logout"),
    url(r'^contas/ativar/(?P<key>\w+)$', activate, name='account_activation'),
    url(r'^email/alterado/(?P<key>\w+)$', changed_email_activate, name='changed_email_activation'),
    url(r'^email/alterar/$',change_email,{'template_name': 'accounts/email_change_form.html'}, name='change_email'),
    url(r'^senha/alterar/$',auth_views.password_change,{'template_name': 'accounts/password_change_form.html', 'password_change_form' : BiglibPasswordChangeForm}, name='change_password'),
    url(r'^senha/alterar/feito/$',auth_views.password_change_done,{'template_name': 'accounts/password_change_done.html'}),
    
    url(r'^senha/redefinir/$',auth_views.password_reset,{'template_name': 'accounts/password_reset_form.html', 'password_reset_form' : BiglibPasswordResetForm}, name='reset_password'),
    url(r'^senha/redefinir/feito/$',auth_views.password_reset_done,{'template_name': 'accounts/password_reset_done.html'}),    
    url(r'^senha/redefinir/confirmar/(?P<uidb36>[0-9A-Za-z]+)-(?P<token>.+)/$',auth_views.password_reset_confirm,{'template_name': 'accounts/password_reset_confirm.html', 'set_password_form' : BiglibSetPasswordForm}),
    url(r'^senha/redefinir/completado/$',auth_views.password_reset_complete,{'template_name': 'accounts/password_reset_complete.html'}),
)