
from haystack.indexes import *
from haystack import site

from bookLoan.models import BookInstance
from bookLoan.models import Reader

class ReaderIndex(SearchIndex):
    content = CharField(document=True, use_template=True)
    #content_auto = EdgeNgramField(use_template=True)

    def index_queryset(self):
        "Used to update the index and filter inactive readers"
        return Reader.objects.filter(user__is_active=True)

class BookInstanceIndex(SearchIndex):
    content = CharField(document=True, use_template=True)
    owner = IntegerField()
    #content_auto = EdgeNgramField(use_template=True)
    
    def index_queryset(self):
        "Used to update the index and filter books of inactive readers"
        return BookInstance.objects.filter(owner__user__is_active=True)
    
    def prepare_owner(self, obj):
        return obj.owner.id

site.register(Reader, ReaderIndex)
site.register(BookInstance, BookInstanceIndex)
