from django.conf.urls.defaults import patterns, url
from bookLoan.views import book_request, book_response, loans_profile,\
    loan_item, search_book, profile, register_book, ajax_add_book, autocomplete, my_tags,\
    my_books_tag, instance, all_my_books, edit_instance, ajax_book_returning,\
    ajax_book_returning_confirmation



urlpatterns = patterns('',
    url(r'^(?P<username>[\w.@+-]+)$', profile, name='profile'),
    url(r'^(?P<username>[\w.@+-]+)/tags/$', my_tags, name='my_cloud_tags'),
    url(r'^(?P<username>[\w.@+-]+)/tags/(?P<slug>[-_A-Za-z0-9]+)/$', my_books_tag, name='my_books_with_tag'),
    url(r'^solicitar/(?P<instance_id>[\d]+)$', book_request, name='book_request'),
    url(r'^responder/(?P<book_loan_id>[\d]+)$', book_response, name='book_response'),
    url(r'^devolucao/(?P<book_loan_id>[\d]+)$', ajax_book_returning, name='book_returning'),
    url(r'^devolucao/(?P<book_loan_id>[\d]+)/confirmacao/(?P<resp>[\w]+)$', ajax_book_returning_confirmation, name='book_returning_confirmation'),
    url(r'^livro/cadastro/$', register_book, name='register_book'),
    url(r'^livro/procura/', search_book, name='search_book'),
    url(r'^emprestimos/$', loans_profile, name='loans_page'),
    url(r'^emprestimo/(?P<loan_id>\d+)$', loan_item, name='loan_detail'),
    url(r'^exemplares/$', all_my_books, name='all_my_books'),
    url(r'^completar/$', autocomplete, name='autocomplete'),
    url(r'^adiciona/livro/(?P<book_id>[\d]+)$', ajax_add_book),
    url(r'^exemplar/(?P<instance_id>\d+)$', instance, name='instance'),
    url(r'^editar/exemplar/(?P<instance_id>\d+)$', edit_instance, name='edit_instance'),
    )
